@charset "utf-8";

@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&family=Roboto:wght@400;700&display=swap');

/*--------------------------------------------------------------
>>> TABLE:
----------------------------------------------------------------
# Reset
# Base / Utilities
	- Typography
	- Elements
# Layouts
# Components
# Project

--------------------------------------------------------------*/
/* ===========================================
 * Reset
 * ======================================== */
/*! destyle.css v4.0.1 | MIT License | https://github.com/nicolas-cusan/destyle.css */

/* Reset box-model and set borders */
/* ============================================ */

*,
::before,
::after {
  box-sizing: border-box;
  border-style: solid;
  border-width: 0;
  min-width: 0;
}

/* Document */
/* ============================================ */

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 * 3. Remove gray overlay on links for iOS.
 */

html {
  line-height: 1; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
  -webkit-tap-highlight-color: transparent; /* 3*/
}

/* Sections */
/* ============================================ */

/**
 * Remove the margin in all browsers.
 */

body {
  margin: 0;
}

/**
 * Render the `main` element consistently in IE.
 */

main {
  display: block;
}

/* Vertical rhythm */
/* ============================================ */

p,
table,
blockquote,
address,
pre,
iframe,
form,
figure,
dl {
  margin: 0;
}

/* Headings */
/* ============================================ */

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
  margin: 0;
}

/* Lists (enumeration) */
/* ============================================ */

ul,
ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

/* Lists (definition) */
/* ============================================ */

dt {
  font-weight: bold;
}

dd {
  margin-left: 0;
}

/* Grouping content */
/* ============================================ */

/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */

hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
  border-top-width: 1px;
  margin: 0;
  clear: both;
  color: inherit;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */

pre {
  font-family: monospace, monospace; /* 1 */
  font-size: inherit; /* 2 */
}

address {
  font-style: inherit;
}

/* Text-level semantics */
/* ============================================ */

/**
 * Remove the gray background on active links in IE 10.
 */

a {
  background-color: transparent;
  text-decoration: none;
  color: inherit;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */

abbr[title] {
  text-decoration: underline dotted; /* 2 */
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */

b,
strong {
  font-weight: bolder;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */

code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: inherit; /* 2 */
}

/**
 * Add the correct font size in all browsers.
 */

small {
  font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */

sub,
sup {
  font-size: 70%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/* Replaced content */
/* ============================================ */

/**
 * Prevent vertical alignment issues.
 */

svg,
img,
embed,
object,
iframe {
  vertical-align: bottom;
}

/* Forms */
/* ============================================ */

/**
 * Reset form fields to make them styleable.
 * 1. Make form elements stylable across systems iOS especially.
 * 2. Inherit text-transform from parent.
 */

button,
input,
optgroup,
select,
textarea {
  -webkit-appearance: none; /* 1 */
  appearance: none;
  vertical-align: middle;
  color: inherit;
  font: inherit;
  background: transparent;
  padding: 0;
  margin: 0;
  border-radius: 0;
  text-align: inherit;
  text-transform: inherit; /* 2 */
}

/**
 * Correct cursors for clickable elements.
 */

button,
[type='button'],
[type='reset'],
[type='submit'] {
  cursor: pointer;
}

button:disabled,
[type='button']:disabled,
[type='reset']:disabled,
[type='submit']:disabled {
  cursor: default;
}

/**
 * Improve outlines for Firefox and unify style with input elements & buttons.
 */

:-moz-focusring {
  outline: auto;
}

select:disabled {
  opacity: inherit;
}

/**
 * Remove padding
 */

option {
  padding: 0;
}

/**
 * Reset to invisible
 */

fieldset {
  margin: 0;
  padding: 0;
  min-width: 0;
}

legend {
  padding: 0;
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */

progress {
  vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */

textarea {
  overflow: auto;
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */

[type='number']::-webkit-inner-spin-button,
[type='number']::-webkit-outer-spin-button {
  height: auto;
}

/**
 * Correct the outline style in Safari.
 */

[type='search'] {
  outline-offset: -2px; /* 1 */
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */

[type='search']::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Fix font inheritance.
 */

::-webkit-file-upload-button {
  -webkit-appearance: button; /* 1 */
  font: inherit; /* 2 */
}

/**
 * Fix appearance for Firefox
 */
[type='number'] {
  -moz-appearance: textfield;
}

/**
 * Clickable labels
 */

label[for] {
  cursor: pointer;
}

/* Interactive */
/* ============================================ */

/*
 * Add the correct display in Edge, IE 10+, and Firefox.
 */

details {
  display: block;
}

/*
 * Add the correct display in all browsers.
 */

summary {
  display: list-item;
}

/*
 * Remove outline for editable content.
 */

[contenteditable]:focus {
  outline: auto;
}

/* Tables */
/* ============================================ */

/**
1. Correct table border color inheritance in all Chrome and Safari.
*/

table {
  border-color: inherit; /* 1 */
  border-collapse: collapse;
}

caption {
  text-align: left;
}

td,
th {
  vertical-align: top;
  padding: 0;
}

th {
  text-align: left;
  font-weight: bold;
}

/* ===========================================
 * Base / Utilities
 * ======================================== */
/* Typography
 * ---------------------------------------- */
body {
  font-family: 'Noto Sans JP', 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', 'Meiryo', 'メイリオ', sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 10px;
  line-height: 1;
  letter-spacing: 0;
  color: #000000;
}

.u-font-en {
  font-weight: 400;
  font-family: 'Roboto', sans-serif;
}

.u-text-upp {
  text-transform: uppercase;
}

.u-text-sup {
  font-size: 70%;
  text-transform: uppercase;
}

.u-space-numbering {
  padding-right: 0.7em;
}

/* Elements
 * ---------------------------------------- */
img {
  width: 100%;
  height: auto;
  vertical-align: middle;
}

a {
  text-decoration: none;
  border: none;
}


/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 16px;
}

.pc {
    display: flex;
}

.sp {
    display: none;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

h2 {
    font-size: 24px;
}

/* Header Section */
.header {
    position: relative;
    background-color: #fff;
    padding: 0;
    border-bottom: 2px solid #fff;
    display: flex;
    flex-direction: column;
    min-height: 150px;
}

.logo {
    display: flex;
    align-items: center;
    padding-top: 20px;
    /* flex-direction: column; */
}

.logo img {
    /* max-height: 150px; */
    max-height: 150px;
    /* margin-right: 10px; */
}

.container-h-top {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    /* align-items: flex-end; */
        align-items: center;
    margin: 20px auto;
}

.navbar {
    /* background: #013bab; */
    background: #013bab;
    font-size: 16px;
}

.navbar ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    border-right: 1px solid #fff;
}

.navbar ul li {
    flex: 1;
    text-align: center;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-left: 1px solid #fff;
}

.navbar ul li img {
    height: 55%;
}

.navbar ul li:last-child {
    border-right: 1px solid #fff;
}

.navbar a {
    text-decoration: none;
    color: #333;
    display: flex;
    align-items: center;
    height: 100%;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    flex: 1;
    /* background: #013bab; */
    transition: .5s;
    color: #f0f8f5;
    letter-spacing: 1px;
}

.navbar li.current {
    background: #4359b4;
}

.navbar a:hover {
    background: #3852a6;
}

.header-info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    font-family: "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", メイリオ, Meiryo, sans-serif;
}

.header-info-text {
    font-size: 15px;
    color: #013bab;
    font-weight: bold;
    text-align: right;
    margin-bottom: 10px;
}

.header-info-tel {
    color: #013bab;
    font-size: 17px;
    margin-top: 10px;
    font-weight: bold;
    /* font-weight: bold; */
    text-align: right;
}

.header-info-tel-small {
    font-size: 60%;
}

.social-media {
    width: 150px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    /* margin-bottom: 10px; */
}

.social-media a {
    /* margin-left: 10px; */
    width: 40px;
    display: flex;
}

.social-media img {
    width: 100%;
    height: auto;
}

.language {
    display: flex;
    margin-bottom: 10px;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    width: 120px;
}

.language a {
    color: #0b3d91;
    transition: .5s;
    font-weight: 100;
    font-weight: 600;
    font-size: 14px;
}

.language a:hover {
    opacity: .5;
    /* border-bottom: 1px solid #0b3d91; */
}

.language a.language-current {
    opacity: .7;
    border-bottom: 1px solid #0b3d91;
}

/* Hamburger menu hidden by default */
.hamburger {
     display: none;
    font-size: 30px;
    background: none;
    border: none;
    color: #333;
    cursor: pointer;
    padding: 10px;
}

/* Footer Section */
.footer {
    padding: 60px 0 0;
    /* color: #013bab; */
    text-align: center;
}

.footer-nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-bottom: 30px;
}

.footer-nav ul li:not(:last-child) {
    border-right: 1px solid #013bab;
}

.footer-nav a {
    text-decoration: none;
    color: #013bab;
    padding: 0 20px;
    transition: .5s;
}

.footer-nav a:hover {
    opacity: .7;
}

.footer-coppy {
    color: #fff;
    background-color: #013bab;
    height: 50px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-size: 12px;
}

.sp {
    display: none!important;
}

.pc {
    display: flex!important;
}

@media screen and (max-width:750px){

    .pc {
        display: none!important;
    }
    
    .sp {
        display: flex!important;
    }

    /* Show hamburger icon on smaller screens */
    .hamburger {
        /* height: 50px;
        width: 50px; */
        /* top: 30px;
        right: 20px; */
        align-items: flex-end;
        position: absolute;
        display: block;
        /* margin-left: 15px; */
        margin-top: 0;
        cursor: pointer;
        z-index: 10001;
        /* top: 4vw;
        right: 5vw; */
        /* top: 10vw;
        right: 10vw; */
        top: 10vw;
        right: 8vw;
    }
    
    .hamburger .bar {
        display: block;
        /* width: 25px;
        height: 3px;
        margin: 5px auto; */
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
        background-color: #144eaf;
        /* width: 8vw;
        height: 1vw; */
        width: 12.5vw;
        height: 2vw;
        max-height: 3px;
        margin: 2vw auto;
    }

    .hamburger.active .bar{
        background-color: #fff;
    }

    .hamburger.active .bar:nth-child(1) {
        /* transform: translateY(8px) rotate(45deg); */
        transform: translateY(1vw) rotate(45deg);
    }

    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .bar:nth-child(3) {
        /* transform: translateY(-8px) rotate(-45deg); */
        transform: translateY(-4vw) rotate(-45deg);
    }

    /* Hide the full-width navbar on smaller screens */
    .navbar {
        font-size: 4vw;
    }

    .navbar ul li img {
        height: 100%;
    }
     
    .respons-nav{   
        padding-top: 150px;
        position: absolute;
        left: -100vw;
        width: 100%;
        height: 100vh;
        top: 0;
        z-index: 10000;
        transition: 1s ease;
        background: #013bab;    
    }
    nav.active{
        left: 0;
    }

    .respons-nav.active{
        left: 0;
        background: #013bab;
        
    }

    /* Styling for the respons-nav */
    .respons-nav ul li {
        /* padding: 20px; */
        padding: 0;
        border: none;
        height: 6vw;
        margin-bottom: 4vw;
    }

    .navbar ul li:last-child {
        border-right: none;
        height: auto;
    }

    .navbar ul li:last-child a {
        border-radius: 100%;
        border: 1px solid #fff;
        /* width: 30%; */
        display: flex;
        margin-right: 3vw;
    }

    .respons-nav a {
        color: white;
        text-decoration: none;
        padding: 0;
        display: block;
    }

    .respons-nav ul {
        display: block;
        /* list-style: none;
        flex-direction: column; */
        text-align: center; 
        /* background-color: #013bab; */
    }
    

    .respons-nav a:hover {
        background-color: #3852a6;
    }

    /* Adjust container width */
    /* .container {
        width: 100%;
        padding: 0 10px;
    } */

    h2 {
        font-size: calc((40 / 750) * 100vw);;
    }

    /* Align header items */
      .container-h-top {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 5vw auto;
    }

    /* Ensure logo grows to fill space */
    .logo {
        /* flex-grow: 1; */
        padding-top: 0;
        width: 40vw;
    }

    /* Logo */
    .logo img {
        /* max-height: 50px; */
        /* max-height: 15vw; */
        max-height: 100%;
    }

    .header-info{
        /* display: flex; */
        /* align-items: flex-start; */
        display: none;
    }
    
    /* Social Media */
    .social-media {
        justify-content: center;
        width: 30vw;
        margin-left: 3vw;
    }

    /* Align the logo center */
    .header {
        align-items: center;
        min-height: auto;
    }

    .container {
        width: 100%;
        padding: 0 5vw;
    }

    .footer-nav ul {
        flex-direction:row;
        gap: 10px;
    }

    .footer-nav {
        display: none;
    }

    .footer {
        padding: 15vw 0 0;
        height: auto;
    }

    .footer .container {
      display: none;
    }

    .footer-coppy {
        padding: 5vw 2vw;
        height: auto;
        font-size: calc((24 / 750) * 100vw);
    }

    .footer-coppy p {
        font-size: calc((28 / 750) * 100vw);
    }

  }

  .more-btn  {
    display: flex;
    flex-direction: row;
    justify-content: center;
  }

.more-btn  a {
  --color: #013bab;
    font-family: inherit;
    display: inline-block;
    width: 8em;
    height: 2.6em;
    line-height: 2.5em;
    margin: 20px 0;
    position: relative;
    cursor: pointer;
    overflow: hidden;
    border: 2px solid var(--color);
    transition: color 0.5s;
    z-index: 1;
    font-size: 17px;
    border-radius: 6px;
    font-weight: 500;
    color: var(--color);
    text-align: center;
    }


.more-btn a::before  {
    content: "";
    position: absolute;
    z-index: -1;
    background: var(--color);
    height: 150px;
    width: 200px;
    border-radius: 50%;
}

.more-btn a:hover {
  color: #fff;
}

.more-btn a:before {
  top: 100%;
  left: 100%;
  transition: all 0.7s;
}

.more-btn a:hover:before {
  top: -30px;
  left: -30px;
}

.more-btn a:hover:before {
  background: #013bab;
  transition: background 0s;
}

